Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] VirtualBox 4.2.0 not working after update
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
piccolo
n00b
n00b


Joined: 30 Dec 2011
Posts: 16

PostPosted: Fri Sep 14, 2012 1:27 pm    Post subject: [SOLVED] VirtualBox 4.2.0 not working after update Reply with quote

Hi folks,

after i updated virtualbox it stops working.

So here it comes i get the following error messages when i tried to start a machine:

Code:
RTR3InitEx failed with rc=-1912 (rc=-1912)

The VirtualBox kernel modules do not match this version of VirtualBox. The installation of VirtualBox was apparently not successful. Executing

&

Errorcode: NS_ERROR_FAILURE (0x80004005)


An VirtualBox --debug shows me this in /var/log/messages:

Code:
SUP_IOCTL_COOKIE: Version mismatch. Requested: 0x1a0004  Min: 0x1a0000  Current: 0x190000


Now some info's about my system:

I'm using kernel gentoo-sources-3.5.1 and all symlinks are set correctly.

uname -r
Code:
3.5.1-gentoo


ls -l /usr/src/linux
Code:
lrwxrwxrwx 1 root root 18 14. Aug 13:44 /usr/src/linux -> linux-3.5.1-gentoo


lsmod | grep vbox gives me:

Code:
vboxnetflt             12717  0
vboxnetadp             17142  0
vboxdrv              1755055  2 vboxnetadp,vboxnetflt


My user account is also in the vboxusers group.

The installed packages are:

Code:
app-emulation/virtualbox-bin-4.2.0
app-emulation/virtualbox-extpack-oracle-4.2.0
app-emulation/virtualbox-modules-4.2.0


And yes i re-emerged them like a thousand times ... and rebooted the system afterwards :?
So i'm not really sure where to begin the search ... and google turned out some solutions but they didn't fix it.

Maybe someone here has an idea ...

Thanks
Piccolo

EDIT:
The Update to Version app-emulation/virtualbox-bin-4.2.0-r1 fixed the Problem in my case.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum